### Method

# GLib Completion remove_items

deprecated: 2.26

#### Declaration

    void
    g_completion_remove_items (
      GCompletion* cmp,
      GList* items
    )

#### Description

Removes items from a `GCompletion`. The items are not freed, so if the memory was dynamically allocated, free `items` with `g_list_free_full()` after calling this function.

Deprecated since: 2.26

Rarely used API.

This method is not directly available to language bindings.

#### Parameters

`items`

  Type: A list of `gpointer`

  The items to remove.

  The data is owned by the caller of the method.